registerOutputEvent("Player","castRelay","int 1 1024 10");
function Player::castRelay(%player,%range)
{
	%start = %player.getEyePoint();
	%fVec = %player.getForwardVector();
	%fX = getWord(%fVec,0);
	%fY = getWord(%fVec,1);
	%eVec = %player.getEyeVector();
	%eX = getWord(%eVec,0);
	%eY = getWord(%eVec,1);
	%eZ = getWord(%eVec,2);
	%eXY = mSqrt(%eX*%eX+%eY*%eY);
	%aimVec = %fX*%eXY SPC %fY*%eXY SPC %eZ;
	%range -= 4;
	if(%range <= 0)
	{
		%range = 1;
	}
	%end = vectorAdd(%start,vectorScale(%aimVec,%range));
	%ray = containerRayCast(%start,%end,$TypeMasks::FxBrickObjectType,%player);
	%col = getWord(%ray,0);
	if(isObject(%col))
	{
		$inputTarget_["Self"] = %col;
		$inputTarget_["Player"] = %player;
		$inputTarget_["Client"] = %player.client;
		$inputTarget_["Minigame"] = getMinigameFromObject(%player);
		%col.processInputEvent("onRelay",%player.client);
	}
}